#ifndef _UDM_FTP_H
#define _UDM_FTP_H

#define FTP_FREE	0
#define FTP_BUSY	1

extern int ftp_connect(UDM_ENV * Conf,UDM_CONN *connp, 
	char *hostname, int port, char *user, char *passwd, int timeout);
extern int ftp_open_control_port(UDM_ENV * Conf,UDM_CONN *connp);

extern int ftp_get_reply(UDM_CONN *connp);
extern int ftp_read_line(UDM_CONN *connp);
extern int ftp_open_data_port(UDM_CONN *c, UDM_CONN *d);
extern int ftp_send_cmd(UDM_CONN *connp, char *cmd);
extern int ftp_send_data_cmd(UDM_CONN *c, UDM_CONN *d, char *cmd, int max_doc_size);
extern int ftp_login(UDM_CONN *connp, char *user, char *passwd);
extern int ftp_cwd(UDM_CONN *c, char *path);
extern int ftp_list(UDM_CONN *c, UDM_CONN *d, char *path, char *filename, int max_doc_size);
extern int ftp_get(UDM_CONN *c, UDM_CONN *d, char *path,int max_doc_size);
extern int ftp_mdtm(UDM_CONN *c, char *path);
extern int ftp_close(UDM_CONN *connp);
extern int ftp_set_binary(UDM_CONN *c);

#endif
